body {
  height: 100%;
  overflow: hidden;
  font-family: Arial, sans-serif;
}
header {
  height: 100%;
  z-index: 99;
}

@media only screen and (min-device-width : 120px) and (max-device-width : 500px) {
  /* Styles */
  main {
    height: calc(100vh - 300px);
    overflow-y: auto;
  }
  .col-md-4.icon-items {
    flex-direction: row-reverse !important;
  }
  button#edit-rate {
    margin-right: 5px;
  }
}

main {
  height: calc(100vh - 110px);
  overflow-y: auto;
}
div#wrap {
  padding-top: 3rem !important;
}
h2.my-4 {
  margin-top: 0rem !important;
  margin-bottom: 0rem !important;
}
.container.mt-5 {
  margin-top: 1px !important;
  padding-left: 0
}
.row-rate {
  float: inherit;
  display: -webkit-inline-box;
  /* margin-top: 6px; */
}
.lb-rate {
  margin-block: auto;
}
.main-content {
  min-height: 100vh;
}

footer {
  position: absolute;
  height: 70px;
  clear:both;
  padding-top:20px;
  z-index: 99;
  bottom: 0;
  width: 100%;
} 
.jumbotron-background {
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  opacity: 1 !important;
}
.jumbotron {
  position:relative;
  overflow:hidden;
  width: auto;
  height: 400px;
}
.img-fluid {
  max-width: 100%;
  height: 200px;
  object-fit: scale-down;
}
.card {
  max-width: 350px;
  max-height: 450px;
}
nav {
  display: flex;
  justify-content: center;
}
iframe {
  border: 0;
  min-height: 500px;
}
*{
  margin: 0;
  padding: 0;
}
input.form-control.form-control-dark{
  padding: 0.255rem 0.7rem;
  background-color: #212529;
}
header.p-3.bg-dark.text-white {
  padding: 0.3rem!important;
}
.rate {
  float: left;
  height: 46px;
  padding: -1px 10px;
}
.rate:not(:checked) > input {
  position:absolute;
  top:-9999px;
}
.rate:not(:checked) > label {
  float:right;
  width:1em;
  overflow:hidden;
  white-space:nowrap;
  cursor:pointer;
  font-size:30px;
  color:#ccc;
}
.rate:not(:checked) > label:before {
  content: '★ ';
}
.rate > input:checked ~ label {
  color: #ffc700;    
}
.rate:not(:checked) > label:hover,
.rate:not(:checked) > label:hover ~ label {
  color: #deb217;  
}
.rate > input:checked + label:hover,
.rate > input:checked + label:hover ~ label,
.rate > input:checked ~ label:hover,
.rate > input:checked ~ label:hover ~ label,
.rate > label:hover ~ input:checked ~ label {
  color: #c59b08;
}

/* Star view */

.ratingBar {
  height: 30px;
}
#ratingBar1 {
  background-color: #ffc700;
}
#ratingBar2 {
  background-color: #ffc700;
}
#ratingBar3 {
  background-color: #ffc700;
}
#ratingBar4 {
  background-color: #88b131;
}
#ratingBar5 {
  background-color: #99cc00;
}
.ratings {
  position: relative;
  vertical-align: middle;
  display: inline-block;
  color: #b1b1b1;
  overflow: hidden;
}
.full-stars {
  position: absolute;
  left: 0;
  top: 0;
  white-space: nowrap;
  overflow: hidden;
  color: #ffc700;
}
.empty-stars:before, .full-stars:before {
  content:"\2605\2605\2605\2605\2605";
  font-size: 20pt;
}
.empty-stars:before {
  -webkit-text-stroke: 1px;
}
.full-stars:before {
  -webkit-text-stroke: 1px;
}
/* Webkit-text-stroke is not supported on firefox or IE */

/* Firefox */
@-moz-document url-prefix() {
  .full-stars {
      color: #ffc700;
  }
}
span.count-rating {
  margin-top: 14px;
  font-size: 16px;
  margin-left: 5px;
  display: flex;
  flex-direction: row;
}

.link-muted { 
  color: #aaa; 
} 
.link-muted:hover { 
  color: #1266f1; 
}
.card.text-dark {
    max-width: 100%;
    max-height: 100%;
    width: 1300px;
    background-color: #f8f9fa;
}
.container.my-5.py-5 {
  padding-left: inherit;
  margin-top: 0 !important;
  padding-bottom: 0 !important;
}
.col-md-12.col-lg-10 {
  width: auto;
  padding-top: 15px;
}
.textarea {
  resize: none
}
textarea.form-control {
  min-height: calc(1.5em + 0.75rem + 2px);

}
strong.card-text {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    height: 50px !important;
}
.card-text:last-child {
  margin-bottom: 0;
  text-decoration: none;
}
.index-ratings {
  position: relative;
  vertical-align: middle;
  display: inline-block;
  color: #b1b1b1;
  overflow: hidden;
}
.index-full-stars {
  position: absolute;
  left: 0;
  top: 0;
  overflow: hidden;
  color: #ffc700;
}
.index-empty-stars:before, .index-full-stars:before {
  content:"\2605\2605\2605\2605\2605";
  font-size: 16pt;
}
.index-empty-stars:before {
  -webkit-text-stroke: 0px;
}
.index-full-stars:before {
  -webkit-text-stroke: 0px;
}
.index-rating-stars{
  display: block;
}
/* Webkit-text-stroke is not supported on firefox or IE */

/* Firefox */
@-moz-document url-prefix() {
  .index-full-stars {
      color: #ffc700;
  }
}
span.text-secondary {
  margin-top: 6px;
  margin-left: 5px;
}
.total-ratings {
  position: relative;
  vertical-align: middle;
  display: inline-block;
  overflow: hidden;
}
hr.new {
  border: 2px solid green;
  border-radius: 5px;
  width: 50px;
  margin: 10px;
  margin-left: 0px;
}
.card.shadow-sm{
  height: 353px;
}

.card-profile {
  border-radius: 5px;
  border: none;
  margin-bottom: 30px;
  -webkit-transition: all .3s ease-in-out;
  transition: all .3s ease-in-out;
  max-width: 1296px;
  max-height: 520px;
  margin-bottom: -12px;
  margin-left: -5px;
}
.col.col-lg-9.col-xl-7{
  width: 100%;
}

.d-flex.justify-content-between.align-items-center.mb-4 {
  margin-top: 15px;
}
h5.statistic {
  margin-top: 15px;
  margin-bottom: 10px;
}

.ms-5.mt-6.d-flex.flex-column {
  width: 120px;
  height: 120px;
  margin-top: 80px;
}
.table-sm > :not(caption) > * > * {
  padding: 0.25rem 1.25rem;
}
a#GFG{
  text-decoration: none;
}
.card-body.p-4.text-black{
  padding: 2.5rem!important;
}
.stats span {
  font-size: 29px
}
.mt-5.text-center{
  margin-top: 0rem !important;
  margin-bottom: 1rem !important;
}
.d-flex.justify-content-between.align-items-center.mt-4.px-4{
  padding-right: 3.5rem!important;
  padding-left: 2.5rem!important;
}
p.text-center.text-muted {
  font-size: 14px;
}
a.link-post{
  color: black;
  background-color: transparent;
  text-decoration: none;
}
.ms-5.mt-6.d-flex.flex-column {
  position: relative;
  width: 50%;
}

.img-fluid.img-thumbnail.mt-4.mb-2 {
  opacity: 1;
  display: block;
  width: 100%;
  height: auto;
  transition: .5s ease;
  backface-visibility: hidden;
}

.middle {
  transition: .5s ease;
  opacity: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  text-align: center;
}

.ms-5.mt-6.d-flex.flex-column:hover .img-fluid.img-thumbnail.mt-4.mb-2 {
  opacity: 0.3;
}

.ms-5.mt-6.d-flex.flex-column:hover .middle {
  opacity: 1;
}

.middle-button {
  background-color: #000000a4;
  color: white;
  font-size: 16px;
  padding: 5px 32px;
  margin-top: 50px;
}
h3.imgText {
  margin-top: 20px;
}

.card-comment{
  max-width: 100%;
  position: relative;
  display: flex;
  flex-direction: column;
  min-width: 0;
  word-wrap: break-word;
  background-color: #fff;
  background-clip: border-box;
  border: 1px solid rgba(0, 0, 0, 0.125);
  border-radius: 0.25rem;
}

#form_content .card-body img {
  padding: 0.5rem !important;
}

svg.bi.bi-plus-circle-dotted { 
  color: #aaa; 
} 

svg.bi.bi-plus-circle-dotted:hover { 
  color: #198754; 
}

svg.bi.bi-pen-fill{
  color: #aaa;
}

svg.bi.bi-pen-fill:hover{
  color: #198754;
}

svg.bi.bi-trash:hover{
  color: #198754;
}

span.small{
  color: #aaa;
}

.col-md-4.icon-items {
  display: flex;
  justify-content: flex-end;
}

button#edit-rate {
  margin-right: 5px;
}